> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Configure Payment Schedule

> Stores the org's payment schedule type and pay dates and returns the computed next pay date.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-configure-payment-schedule
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-configure-payment-schedule:
    post:
      operationId: selfServeConfigurePaymentSchedule
      summary: Self Serve Configure Payment Schedule
      description: >-
        Stores the org's payment schedule type and pay dates and returns the
        computed next pay date.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeConfigurePaymentScheduleRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeConfigurePaymentScheduleResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeConfigurePaymentScheduleRequest:
      type: object
      properties:
        scheduleType:
          type: string
          enum:
            - MONTHLY_15TH
            - SEMI_MONTHLY
            - MONTHLY_LAST_DAY
            - CUSTOM
        customDates:
          type: array
          items:
            type: number
            minimum: 1
            maximum: 31
          maxItems: 2
      required:
        - scheduleType
    SelfServeConfigurePaymentScheduleResponse:
      type: object
      properties:
        success:
          type: boolean
        nextPayDate:
          type:
            - string
            - 'null'
        scheduleType:
          type: string
          enum:
            - MONTHLY_15TH
            - SEMI_MONTHLY
            - MONTHLY_LAST_DAY
            - CUSTOM
        paymentDates:
          type: array
          items:
            type: number
      required:
        - success
        - nextPayDate
        - scheduleType
        - paymentDates
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
